---
features:
  primary:
  - name: "New GitLab Kubernetes Agent UI"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/'
    reporter: nagyv-gitlab
    image_url: '/images/14_2/k8s-agent-registration.png'
    stage: configure
    categories:
    - Kubernetes Management
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/5786'
    description: |
      The GitLab Kubernetes Agent allows a secure bi-directional connection between GitLab and any Kubernetes cluster.
      Until now, registering a new Kubernetes Agent required writing GraphQL queries.

      As of GitLab 14.2, GitLab ships with a user-friendly user interface and a registration form to help you get started with the Kubernetes Agent with ease.
